# eth\_sendBundle

### Send Bundle RPC Method <a href="#send-transaction-rpc-method" id="send-transaction-rpc-method"></a>

<mark style="color:green;">`POST`</mark> <https://eth-rpc.kolibr.io/>\
Submits a bundle of signed transactions to the Kolibrio Order Flow service for prioritized inclusion in a specific block.<br>

**Request  Body Parameters**

| Name                                           | Value                                                                                                                                                                                                                                |
| ---------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `txs (required)`                               | An array of raw transaction strings, each representing a signed transaction in the bundle.                                                                                                                                           |
| `blockNumber (required)`                       | The target block number (in hexadecimal) where the bundle should be included.                                                                                                                                                        |
| `trustedBuilders` **(**&#x6F;ptiona&#x6C;**)** | <p>Specifies an array of trusted builders for transaction inclusion. Defaults are <code>\[titan, beaver, rsync, flashbots]</code>.<br>You can add additional options: <code>\[jetbuilder, builder0x69, penguin, payload]</code>.</p> |

**API KEY**

<table><thead><tr><th width="277">Name</th><th>Description</th></tr></thead><tbody><tr><td><code>api_key</code> (optional)</td><td><p>Required for authentication, revenue distribution, and tracking. Including this key ensures that any generated revenue is attributed to the correct account. If not specified, the transaction will still be processed, but revenue will not be distributed.<br><br>Can be passed as an <code>x-api-key</code> header or as an <code>api_key</code> query parameter in the URL.<br></p><p>To obtain an <code>api key</code>, users must sign up in app.kolibrio.xyz</p></td></tr></tbody></table>

**Request Example**

{% tabs %}
{% tab title="curl" %}

```json
curl -X POST "https://eth-rpc.kolibr.io/?api_key=YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
  "jsonrpc": "2.0",
  "method": "eth_sendBundle",
  "params": [{
    "txs": [
      "0xYOUR_RAW_TRANSACTION_1",
      "0xYOUR_RAW_TRANSACTION_2"
    ],
    "trustedBuilders": [
      "titan",
      "beaver",
      "rsync"
    ],
    "blockNumber": "0xBLOCK_NUMBER"
  }],
  "id": 1
}'

```

{% endtab %}
{% endtabs %}

**Response Example**

{% tabs %}
{% tab title="200" %}

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "0xabc1234ef56789abcdef0123456789abcdef0123456789abcdef0123456789ab"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kolibrio.xyz/kolibrio-orderflow-service/ethereum/api-quick-start/eth_sendbundle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
